<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="11" short-name="tennis" url="https://polygon.codeforces.com/p2rJvfu/Sasha0738/tennis">
        
    <names>
                
        <name language="russian" value="Теннис"/>
            
    </names>
        
    <statements>
                
        <statement charset="UTF-8" language="russian" path="statements/russian/problem.tex" type="application/x-tex"/>
                
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
            
    </statements>
        
    <tutorials>
                
        <tutorial charset="UTF-8" language="russian" path="statements/russian/tutorial.tex" type="application/x-tex"/>
                
        <tutorial charset="UTF-8" language="russian" path="statements/.html/russian/tutorial.html" type="text/html"/>
                
        <tutorial language="russian" path="statements/.pdf/russian/tutorial.pdf" type="application/pdf"/>
            
    </tutorials>
        
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="">
                
        <testset name="tests">
                        
            <time-limit>3000</time-limit>
                        
            <memory-limit>268435456</memory-limit>
                        
            <test-count>102</test-count>
                        
            <input-path-pattern>tests/%02d</input-path-pattern>
                        
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
                        
            <tests>
                                
                <test group="sample" method="manual" points="0.0" sample="true"/>
                                
                <test group="sample" method="manual" points="0.0" sample="true"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #1" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #2" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #3" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #4" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #5" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #6" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #7" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #8" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #9" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #10" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #11" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #12" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #13" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #14" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #15" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #16" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #17" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #18" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #19" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #20" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #21" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #22" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #23" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #24" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 500 1000 1 10 1 20 #25" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #26" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #27" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #28" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #29" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #30" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #31" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #32" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #33" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #34" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #35" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #36" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #37" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #38" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #39" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #40" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #41" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #42" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #43" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #44" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #45" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #46" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #47" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #48" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #49" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 100 500 1 10 20 50 #50" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #51" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #52" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #53" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #54" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #55" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #56" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #57" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #58" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #59" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #60" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #61" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #62" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #63" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #64" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #65" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #66" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #67" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #68" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #69" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #70" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #71" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #72" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #73" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #74" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 500 1 10 50 100 #75" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #76" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #77" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #78" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #79" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #80" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #81" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #82" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #83" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #84" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #85" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #86" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #87" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #88" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #89" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #90" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #91" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #92" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #93" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #94" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #95" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #96" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 98 5 10 80 100 #97" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 50 10 10 100 100 #98" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 50 50 1 1 1 1 #99" group="tests" method="generated" points="1.0"/>
                                
                <test cmd="generator 1000 1000 10 10 100 100 #100" group="tests" method="generated" points="1.0"/>
                            
            </tests>
                        
            <groups>
                                
                <group feedback-policy="complete" name="sample" points="0.0" points-policy="complete-group"/>
                                
                <group feedback-policy="complete" name="tests" points-policy="each-test">
                                        
                    <dependencies>
                                                
                        <dependency group="sample"/>
                                            
                    </dependencies>
                                    
                </group>
                            
            </groups>
                    
        </testset>
            
    </judging>
        
    <files>
                
        <resources>
                        
            <file path="files/olymp.sty"/>
                        
            <file path="files/problem.tex"/>
                        
            <file path="files/statements.ftl"/>
                        
            <file path="files/testlib.h" type="h.g++"/>
                        
            <file path="files/tutorial.tex"/>
                    
        </resources>
                
        <executables>
                        
            <executable>
                                
                <source path="files/generator.cpp" type="cpp.g++17"/>
                                
                <binary path="files/generator.exe" type="exe.win32"/>
                            
            </executable>
                        
            <executable>
                                
                <source path="files/validator.cpp" type="cpp.g++17"/>
                                
                <binary path="files/validator.exe" type="exe.win32"/>
                            
            </executable>
                    
        </executables>
            
    </files>
        
    <assets>
                
        <checker name="std::rcmp6.cpp" type="testlib">
                        
            <source path="files/check.cpp" type="cpp.g++17"/>
                        
            <binary path="check.exe" type="exe.win32"/>
                        
            <copy path="check.cpp"/>
                        
            <testset>
                                
                <test-count>0</test-count>
                                
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                                
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                                
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                                
                <tests/>
                            
            </testset>
                    
        </checker>
                
        <validators>
                        
            <validator>
                                
                <source path="files/validator.cpp" type="cpp.g++17"/>
                                
                <binary path="files/validator.exe" type="exe.win32"/>
                                
                <testset>
                                        
                    <test-count>0</test-count>
                                        
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                                        
                    <tests/>
                                    
                </testset>
                            
            </validator>
                    
        </validators>
                
        <solutions>
                        
            <solution tag="main">
                                
                <source path="solutions/ad_correct.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/ad_correct.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="accepted" testset="tests"/>
                                        
                    <extra-tag group="tests" tag="accepted"/>
                                        
                    <extra-tag group="sample" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                        
            <solution tag="accepted">
                                
                <source path="solutions/vm_correct.cpp" type="cpp.g++17"/>
                                
                <binary path="solutions/vm_correct.exe" type="exe.win32"/>
                                
                <extra-tags>
                                        
                    <extra-tag tag="accepted" testset="tests"/>
                                        
                    <extra-tag group="tests" tag="accepted"/>
                                        
                    <extra-tag group="sample" tag="accepted"/>
                                    
                </extra-tags>
                            
            </solution>
                    
        </solutions>
            
    </assets>
        
    <properties>
                
        <property name="tests-wellformed" value="true"/>
            
    </properties>
        
    <stresses>
                
        <stress-count>0</stress-count>
                
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
                
        <list/>
            
    </stresses>
        
    <tags>
                
        <tag value="simple"/>
            
    </tags>
    
</problem>
